%define upstream_name    WebService-MusicBrainz
%define upstream_version 1.0.5

%{?perl_default_filter}


Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    API to search the musicbrainz.org database
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/pod/WebService::MusicBrainz
Source0:    https://cpan.metacpan.org/authors/id/B/BF/BFAIST/%{upstream_name}-%{upstream_version}.tar.xz

BuildRequires: perl-devel
# for test
BuildRequires: perl-Mojolicious


%description
This module will search the MusicBrainz database through their web service and
return objects with the found data.  This module is not backward compatible
with pre-1.0 versions.  Version 1.0 is a complete re-write based on
Mojolicious and implements [MusicBrainz Web Service Version
2](https://musicbrainz.org/doc/Development/XML_Web_Service/Version_2).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%check
make test


%files
%defattr(-,root,root,-)
%doc README.md META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri May 22 2020 ghostbunny <ghostbunny at gmx dot de> 1.05-1pclos2020
- initial package
